Cp (Apache Geode 1.7.0)
Date: 2018-09-27

org.apache.geode.codeAnalysis.decode.cp

## Class Cp

- java.lang.Object
- - org.apache.geode.codeAnalysis.decode.cp.Cp

- Direct Known Subclasses:
    CpClass, CpDouble, CpFieldref, CpFloat, CpInvokeDynamic, CpLong, CpMethodHandle, CpMethodType, CpNameAndType, CpString, CpUtf8

      public class Cp
      extends java.lang.Object

  Cp represents an entry in the constant pool of a class. See https://docs.oracle.com/javase/specs/jvms/se8/html/jvms-4.html#jvms-4.4

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static int` | `TAG_Class`
    `protected static int` | `TAG_Double`
    `protected static int` | `TAG_Fieldref`
    `protected static int` | `TAG_Float`
    `protected static int` | `TAG_Integer`
    `protected static int` | `TAG_InterfaceMethodref`
    `protected static int` | `TAG_InvokeDynamic`
    `protected static int` | `TAG_Long`
    `protected static int` | `TAG_MethodHandle`
    `protected static int` | `TAG_Methodref`
    `protected static int` | `TAG_MethodType`
    `protected static int` | `TAG_NameAndType`
    `protected static int` | `TAG_String`
    `protected static int` | `TAG_Utf8`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Cp()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Cp` | `readCp(java.io.DataInputStream source)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TAG_Class

          protected static final int TAG_Class

      See Also:
        Constant Field Values

    - #### TAG_Fieldref

          protected static final int TAG_Fieldref

      See Also:
        Constant Field Values

    - #### TAG_Methodref

          protected static final int TAG_Methodref

      See Also:
        Constant Field Values

    - #### TAG_InterfaceMethodref

          protected static final int TAG_InterfaceMethodref

      See Also:
        Constant Field Values

    - #### TAG_String

          protected static final int TAG_String

      See Also:
        Constant Field Values

    - #### TAG_Integer

          protected static final int TAG_Integer

      See Also:
        Constant Field Values

    - #### TAG_Float

          protected static final int TAG_Float

      See Also:
        Constant Field Values

    - #### TAG_Long

          protected static final int TAG_Long

      See Also:
        Constant Field Values

    - #### TAG_Double

          protected static final int TAG_Double

      See Also:
        Constant Field Values

    - #### TAG_NameAndType

          protected static final int TAG_NameAndType

      See Also:
        Constant Field Values

    - #### TAG_Utf8

          protected static final int TAG_Utf8

      See Also:
        Constant Field Values

    - #### TAG_MethodHandle

          protected static final int TAG_MethodHandle

      See Also:
        Constant Field Values

    - #### TAG_MethodType

          protected static final int TAG_MethodType

      See Also:
        Constant Field Values

    - #### TAG_InvokeDynamic

          protected static final int TAG_InvokeDynamic

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Cp

          public Cp()

  - ### Method Detail

    - #### readCp

          public static Cp readCp(java.io.DataInputStream source)
                           throws java.io.IOException

      Throws:
        `java.io.IOException`